// creator  : weidu.exe (version 23100)
// argument : _FLAM10.DLG
// game		 : .
// source	 : ./override/_FLAM10.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_FLAM10~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 8 even though they appear after this state */
~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #84842 /* ~Could you please hand over your invitations to the palace.~ */
  IF ~~ THEN REPLY #84843 /* ~We don't have any invitations.~ */ GOTO 1
  IF ~~ THEN REPLY #84844 /* ~We don't need invitations.~ */ GOTO 2
  IF ~PartyHasItem("_MISC78")
~ THEN REPLY #84845 /* ~Here are the invitations.~ */ GOTO 7
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #84846 /* ~Then you must leave immediately or we will have to remove you forcibly.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #84847 /* ~Could I ask why you wouldn't need invitations?~ */
  IF ~~ THEN REPLY #84848 /* ~No, you can't ask why.~ */ GOTO 3
  IF ~~ THEN REPLY #84849 /* ~We're important dignitaries from Tethyr, and thus do not need such a trivial thing as an invitation.~ */ GOTO 4
  IF ~~ THEN REPLY #84850 /* ~We're powerful sorcerers, and we'll blow you to bits where you stand if you don't get out of our way.~ */ GOTO 5
  IF ~~ THEN REPLY #84851 /* ~We're close friends of the Grand Dukes, and therefore don't need invitations.~ */ GOTO 6
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #84852 /* ~You must leave immediately, or we will have to resort to physical force.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.1
  SAY #84853 /* ~Ohhhh... well then, I guess we had better let you pass.  Sorry to have bothered you about such a 'trivial thing' as an invitation.  Men, kill these idiots.~ */
  IF ~~ THEN DO ~Shout(1)
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 2.2
  SAY #84854 /* ~Oh my!  I'm trembling with fright.  I'm about to be killed by mighty wizards.  Men, kill these morons.~ */
  IF ~~ THEN DO ~Shout(1)
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 2.3
  SAY #84855 /* ~Uh huh.  Well guess what?  If you don't get your lying butt out of here in the next five seconds, the Grand Dukes will have several funerals to attend.~ */
  IF ~~ THEN DO ~Wait(5)
Shout(1)
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 0.2
  SAY #84856 /* ~Thank you very much.  You may pass now.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 8 // from:
  SAY #84857 /* ~Come right in.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from:
  SAY #75349 /* ~You're not welcome here!~ */
  IF ~~ THEN EXIT
END
